Bug 957656 - python tests failing
python tests failing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
19
s390 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-04-29 04:15 EDT by Dan Horák
Modified: 2013-05-21 10:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: librepo-0.0.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 10:03:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-04-29 04:15:01 EDT
Description of problem:
The python tests fail on s390 with

<mock-chroot>[root@devel6 librepo]# make ARGS="-V" test
Running tests...
UpdateCTestConfiguration  from :/tmp/librepo/DartConfiguration.tcl
UpdateCTestConfiguration  from :/tmp/librepo/DartConfiguration.tcl
Test project /tmp/librepo
Constructing a list of tests
Done constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
test 1
    Start 1: test_main

1: Test command: /tmp/librepo/tests/test_main "/tmp/librepo/tests/test_data/"
1: Test timeout computed to be: 9.99988e+06
1: Tests using directory: /tmp/librepoTnK0io
1: Running suite(s): cheksum
1:  util
1:  gpg
1:  handle
1:  internal_mirrorlist
1:  metalink
1:  mirrorlist
1:  repomd
1:  util
1: 100%: Checks: 33, Failures: 0, Errors: 0
1/2 Test #1: test_main ........................   Passed    0.60 sec
test 2
    Start 2: test_python

2: Test command: /tmp/librepo/tests/python/tests/run_nosetests.sh "-s" "/tmp/librepo/tests/python/tests"
2: Test timeout computed to be: 9.99988e+06
2: FFE.EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
2: ======================================================================
2: ERROR: Using None in setopt.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_handle.py", line 206, in test_handle_setopt_none_value
2:     h.setopt(librepo.LRO_RETRIES, None)         # None sets default value
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Just test download.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 31, in test_download_package_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Download with checksum check.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 49, in test_download_package_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Download with checksum check.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 68, in test_download_package_03
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Download with checksum check.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 88, in test_download_package_04
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_package_via_metalink (tests.test_yum_package_downloading.TestCaseYumPackageDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 103, in test_download_package_via_metalink
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_package_via_mirrorlist (tests.test_yum_package_downloading.TestCaseYumPackageDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 118, in test_download_package_via_mirrorlist
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_package_with_baseurl (tests.test_yum_package_downloading.TestCaseYumPackageDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_package_downloading.py", line 134, in test_download_package_with_baseurl
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_bad_mirrorlist_url (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 577, in test_bad_mirrorlist_url
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_and_update_repo_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1036, in test_download_and_update_repo_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_corrupted_repo_01_with_checksum_check (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 488, in test_download_corrupted_repo_01_with_checksum_check
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_only_metalink (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 589, in test_download_only_metalink
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_only_mirrorlist (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 841, in test_download_only_mirrorlist
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 44, in test_download_repo_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_from_base_auth_secured_web_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1081, in test_download_repo_01_from_base_auth_secured_web_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_from_base_auth_secured_web_02 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1092, in test_download_repo_01_from_base_auth_secured_web_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 617, in test_download_repo_01_via_metalink_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_02 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 653, in test_download_repo_01_via_metalink_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_badchecksum (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 688, in test_download_repo_01_via_metalink_badchecksum
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_badfilename (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 669, in test_download_repo_01_via_metalink_badfilename
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_badfirsturl (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 730, in test_download_repo_01_via_metalink_badfirsturl
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_firsturlhascorruptedfiles (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 753, in test_download_repo_01_via_metalink_firsturlhascorruptedfiles
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_metalink_nourls (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 711, in test_download_repo_01_via_metalink_nourls
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_mirrorlist_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 855, in test_download_repo_01_via_mirrorlist_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_mirrorlist_02 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 873, in test_download_repo_01_via_mirrorlist_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_mirrorlist_badfirsturl (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 910, in test_download_repo_01_via_mirrorlist_badfirsturl
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_mirrorlist_firsturlhascorruptedfiles (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 933, in test_download_repo_01_via_mirrorlist_firsturlhascorruptedfiles
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Download should fails on the first mirror (one file has a bad checksum).
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 961, in test_download_repo_01_via_mirrorlist_firsturlhascorruptedfiles_maxmirrortries_enabled
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: Download should fails on the first mirror (one file has a bad checksum).
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 977, in test_download_repo_01_via_mirrorlist_firsturlhascorruptedfiles_maxmirrortries_enabled_2
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_via_mirrorlist_nourls (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 891, in test_download_repo_01_via_mirrorlist_nourls
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_baseurl_and_metalink_specified (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 811, in test_download_repo_01_with_baseurl_and_metalink_specified
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_baseurl_and_metalink_specified_only_fetchmirrors (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 780, in test_download_repo_01_with_baseurl_and_metalink_specified_only_fetchmirrors
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_baseurl_and_mirrorlist_specified (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1021, in test_download_repo_01_with_baseurl_and_mirrorlist_specified
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_baseurl_and_mirrorlist_specified_only_fetchmirrors (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1005, in test_download_repo_01_with_baseurl_and_mirrorlist_specified_only_fetchmirrors
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_checksum_check (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 471, in test_download_repo_01_with_checksum_check
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_missing_file (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 543, in test_download_repo_01_with_missing_file
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_missing_unwanted_file (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 560, in test_download_repo_01_with_missing_unwanted_file
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_with_progressbar (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 1119, in test_download_repo_01_with_progressbar
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_01_without_result_object (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 454, in test_download_repo_01_without_result_object
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_02 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 160, in test_download_repo_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_from_bad_url (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 317, in test_download_repo_from_bad_url
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_with_gpg_check (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 505, in test_download_repo_with_gpg_check
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_download_repo_with_gpg_check_bad_signature (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 525, in test_download_repo_with_gpg_check_bad_signature
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_partial_download_repo_01 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 329, in test_partial_download_repo_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_partial_download_repo_02 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 371, in test_partial_download_repo_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_partial_download_repo_03 (tests.test_yum_repo_downloading.TestCaseYumRepoDownloading)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_downloading.py", line 413, in test_partial_download_repo_03
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_locate_incomplete_repo_01 (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 189, in test_locate_incomplete_repo_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_locate_incomplete_repo_01_2 (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 213, in test_locate_incomplete_repo_01_2
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_locate_repo_01 (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 127, in test_locate_repo_01
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_locate_repo_02 (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 158, in test_locate_repo_02
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_read_metalink (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 54, in test_read_metalink
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_read_metalink_of_local_repo (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 82, in test_read_metalink_of_local_repo
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: ERROR: test_read_mirrorlist (tests.test_yum_repo_locating.TestCaseYumRepoLocating)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_yum_repo_locating.py", line 43, in test_read_mirrorlist
2:     h.setopt(librepo.LRO_REPOTYPE, librepo.LR_YUMREPO)
2:   File "/tmp/librepo/librepo/python/librepo/__init__.py", line 760, in setopt
2:     _librepo.Handle.setopt(self, option, val)
2: Exception: (2, 'Bad argument of a handle option', None)
2: 
2: ======================================================================
2: FAIL: No exception should be raised.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_handle.py", line 102, in test_handle_setget_attr
2:     self.assertTrue(h.update)
2: AssertionError: 0L is not true
2: 
2: ======================================================================
2: FAIL: No exception should be raised.
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/tmp/librepo/tests/python/tests/test_handle.py", line 14, in test_handle_setopt_getinfo
2:     self.assertTrue(h.getinfo(librepo.LRI_UPDATE))
2: AssertionError: 0L is not true
2: 
2: ----------------------------------------------------------------------
2: Ran 56 tests in 5.399s
2: 
2: FAILED (errors=53, failures=2)
2/2 Test #2: test_python ......................***Failed    5.96 sec

50% tests passed, 1 tests failed out of 2

Total Test time (real) =   6.57 sec

The following tests FAILED:
	  2 - test_python (Failed)
Errors while running CTest
make: *** [test] Error 8



Version-Release number of selected component (if applicable):
recent git, commit a4372fa1039c3ba94cdeae10613f945ba529ebac


How reproducible:
100%


Additional info:
this is on s390 (32-bit), tests are passed on s390x (64-bit)
Comment 1 Tomas Mlcoch 2013-04-29 07:16:09 EDT
Hi, thank you for the report!
The issue should be fixed now: https://github.com/Tojaj/librepo/commit/4c7caca60d05a8f7b2426bf785b1319801022d32
Comment 2 Dan Horák 2013-04-29 07:24:15 EDT
Thanks, it's fixed now. Can we expected an update for the librepo package soon?
Comment 3 Tomas Mlcoch 2013-05-02 05:06:04 EDT
Hi, new build is ready. It will be pushed to updates by akozumpl along with new version of dnf and hawkey, soon.

Note You need to log in before you can comment on or make changes to this bug.